#
# spec file for package [AlignPrimer]
#

# norootforbuild

Name:           AlignPrimer
Version:        1.0
Release:        4.1
#Release:        1.<CI_CNT>.<B_CNT>
Summary:        Dynamic programming alignment of PCR primers to genomes

License:        GPL-3.0
Group:		Productivity/Scientific/Physics
URL:            https://sites.google.com/site/geraldweberufmg/AlignPrimer
Source0:        AlignPrimer-1.0.tar.bz2

BuildRequires:  gcc-c++ 
BuildRequires:  boost-devel
%if 0%{?suse_version} == 1310
BuildRequires:  libboost_filesystem1_53_0 libboost_system1_53_0 libboost_iostreams1_53_0
Requires:  libboost_filesystem1_53_0 libboost_system1_53_0 libboost_iostreams1_53_0
%endif
%if 0%{?suse_version} == 1320
BuildRequires:  libboost_filesystem1_54_0 libboost_system1_54_0 libboost_iostreams1_54_0
Requires:  libboost_filesystem1_54_0 libboost_system1_54_0 libboost_iostreams1_54_0
%endif
#OpenSuSE Leap 15.0, 15.1 and 15.2 https://en.opensuse.org/openSUSE:Packaging_for_Leap#RPM_Distro_Version_Macros
%if 0%{?suse_version} == 1500
BuildRequires:  libboost_filesystem1_66_0-devel libboost_system1_66_0-devel libboost_regex1_66_0-devel  libboost_iostreams1_66_0-devel
Requires: libboost_filesystem1_66_0 libboost_system1_66_0 libboost_regex1_66_0 libboost_iostreams1_66_0
%endif
#OpenSuSE Tumbleweed as of 02/2020 https://en.opensuse.org/openSUSE:Packaging_for_Leap#RPM_Distro_Version_Macros
%if 0%{?suse_version} == 1550
BuildRequires:  libboost_filesystem1_71_0-devel libboost_system1_71_0-devel libboost_regex1_71_0-devel  libboost_iostreams1_71_0-devel
%endif
%if %{defined fedora}
BuildRequires:  boost-filesystem
%endif
BuildRequires:  zlib-devel
Requires: zlib

#specific script for dealing with file duplicates
%if ! %{defined scientificlinux_version} && ! %{defined centos_version} && ! %{defined rhel}
BuildRequires:  fdupes
%endif

%description
Dynamic programming alignment of PCR primers to genomes.

%prep
%setup -q

%build
make 


%install
mkdir -p %{buildroot}/%{_bindir}
install -m 755 align_primer %{buildroot}/%{_bindir}/align_primer
# mkdir -p %{buildroot}/%{_datadir}/%{name}
# cp -r examples %{buildroot}/%{_datadir}/%{name}
# cp -r data %{buildroot}/%{_datadir}/%{name}

%if ! %{defined scientificlinux_version} && ! %{defined centos_version} && ! %{defined rhel}
%fdupes -s %{buildroot}/%{_datadir}
%endif

%clean
rm -rf %%{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/align_primer
# %doc doc/vargibbs-user-manual.pdf
# %doc gpl-3.0.txt
# %{_datadir}/%{name}

%changelog
* Fri Jan 22 2021 <gweberbh@gmail.com> 1.0
First public release.

